AbstractEndpoint.Handler.SocketState (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net, class: AbstractEndpoint, interface: Handler, enum: SocketState

# Enum Class AbstractEndpoint.Handler.SocketState

java.lang.Object
java.lang.Enum<AbstractEndpoint.Handler.SocketState>
org.apache.tomcat.util.net.AbstractEndpoint.Handler.SocketState

All Implemented Interfaces:
  `Serializable, Comparable<AbstractEndpoint.Handler.SocketState>, Constable`

Enclosing interface:
  `AbstractEndpoint.Handler<S>`

public static enum AbstractEndpoint.Handler.SocketState extends Enum<AbstractEndpoint.Handler.SocketState>
Different types of socket states to react upon.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASYNC_END`
  The asynchronous processing phase has ended.
  `ASYNC_IO`
  Asynchronous I/O is in progress.
  `CLOSED`
  The socket has been closed.
  `LONG`
  The connection is long-running (e.g., keep-alive).
  `OPEN`
  The socket is open and ready for processing.
  `SENDFILE`
  Send file processing is in progress.
  `SUSPENDED`
  The socket has been suspended.
  `UPGRADED`
  The connection has been upgraded.
  `UPGRADING`
  The connection is being upgraded (e.g., WebSocket upgrade).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractEndpoint.Handler.SocketState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractEndpoint.Handler.SocketState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OPEN

    public static final AbstractEndpoint.Handler.SocketState OPEN
    The socket is open and ready for processing.

  - ### CLOSED

    public static final AbstractEndpoint.Handler.SocketState CLOSED
    The socket has been closed.

  - ### LONG

    public static final AbstractEndpoint.Handler.SocketState LONG
    The connection is long-running (e.g., keep-alive).

  - ### ASYNC_END

    public static final AbstractEndpoint.Handler.SocketState ASYNC_END
    The asynchronous processing phase has ended.

  - ### SENDFILE

    public static final AbstractEndpoint.Handler.SocketState SENDFILE
    Send file processing is in progress.

  - ### UPGRADING

    public static final AbstractEndpoint.Handler.SocketState UPGRADING
    The connection is being upgraded (e.g., WebSocket upgrade).

  - ### UPGRADED

    public static final AbstractEndpoint.Handler.SocketState UPGRADED
    The connection has been upgraded.

  - ### ASYNC_IO

    public static final AbstractEndpoint.Handler.SocketState ASYNC_IO
    Asynchronous I/O is in progress.

  - ### SUSPENDED

    public static final AbstractEndpoint.Handler.SocketState SUSPENDED
    The socket has been suspended.

- ## Method Details

  - ### values

    public static AbstractEndpoint.Handler.SocketState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractEndpoint.Handler.SocketState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null